Skip to main content
POST
/
admins
/
proposals
/
update
cURL
curl --request POST \
  --url https://api.onchainden.com/api/v1/admins/proposals/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Idempotency-Key: <x-idempotency-key>' \
  --data '
{
  "updates": [
    {
      "action": "addMember",
      "id": "mem_4"
    },
    {
      "action": "removeMember",
      "id": "mem_3"
    }
  ],
  "threshold": 3
}
'
{ "data": { "id": "prop_admin_update_123", "resourceType": "admins", "action": "update", "signatureStatus": "approvalReady", "executionStatus": "completed", "threshold": 3, "approvals": [], "rejections": [], "createdAt": "2026-01-18T00:00:00.000Z", "expiresAt": "2026-01-25T00:00:00.000Z", "data": { "members": [ { "id": "mem_4", "name": "Admin Dana", "type": "user", "walletAddress": "0xdef..." } ], "threshold": 3 }, "result": { "resolution": "approved", "resources": [ { "type": "admin", "id": "adm_123", "uri": "/api/v1/admins/adm_123" } ] } } }

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Headers

X-Idempotency-Key
string<uuid>
required

Idempotency key for safely retrying mutation requests.

Body

application/json
updates
object[]
required

List of member add/remove actions

threshold
integer
required

Number of admin signatures required

Required range: x >= 1

Response

Admin update proposal created

data
object
required
Example:
{
  "id": "prop_admin_update_123",
  "resourceType": "admins",
  "action": "update",
  "signatureStatus": "approvalReady",
  "executionStatus": "completed",
  "threshold": 3,
  "approvals": [],
  "rejections": [],
  "createdAt": "2026-01-18T00:00:00.000Z",
  "expiresAt": "2026-01-25T00:00:00.000Z",
  "data": {
    "members": [
      {
        "id": "mem_4",
        "name": "Admin Dana",
        "type": "user",
        "walletAddress": "0xdef..."
      }
    ],
    "threshold": 3
  },
  "result": {
    "resolution": "approved",
    "resources": [
      {
        "type": "admin",
        "id": "adm_123",
        "uri": "/api/v1/admins/adm_123"
      }
    ]
  }
}